| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Protocols
Protocols.HTTP
Protocols.HTTP.Session
Protocols.HTTP.Session()->Request

# Method Protocols.HTTP.Session()->Request()->do_thread()

Method do_thread

  `Request do_thread(array(string|int|mapping) args)`

Description

  Start a request in the background, using a thread. Call wait to wait for the thread to finish. Get arguments from prepare_method .

Returns

  The called object.

See also

  prepare_method , do_sync , do_async , wait

Note

  do_thread does not rerun redirections automatically